Bug 985285 - check-mk-docs claims to provide perl(Module::Install), masking the one from perl-Module-Install
check-mk-docs claims to provide perl(Module::Install), masking the one from p...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: check-mk (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrea Veri
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 05:01 EDT by Matthias Schroder
Modified: 2013-09-16 13:43 EDT (History)
1 user (show)

See Also:
Fixed In Version: check-mk-1.2.2p2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 20:00:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Schroder 2013-07-17 05:01:42 EDT
Description of problem: check-mk-docs claims to provide perl(Module::Install), but it looks as if it only provides the api. A "yum install 'perl(Module::Install)'" or "yumbuilddep" on a srpm that has a buildrequire on  perl(Module::Install) thus gets an incomplete perl(Module::Install).


Version-Release number of selected component (if applicable): 1.2.2-3.el6


How reproducible: 100%


Steps to Reproduce:
1. yum install 'perl(Module::Install)' --enablerepo epel
2. 
3.

Actual results: check-mk-docs gets installed


Expected results: perl-Module-Install gets installed


Additional info:
Comment 1 Andrea Veri 2013-08-29 12:44:51 EDT
Hi,

the fix has been pushed to git and the package is being built in the couple of days.

More details at http://pkgs.fedoraproject.org/cgit/check-mk.git/commit/?id=728266de6d21fa5d45825239f6c61e93970cb7be.
Comment 2 Fedora Update System 2013-08-31 07:32:35 EDT
check-mk-1.2.2p2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/check-mk-1.2.2p2-1.fc19
Comment 3 Fedora Update System 2013-08-31 07:33:02 EDT
check-mk-1.2.2p2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/check-mk-1.2.2p2-1.el6
Comment 4 Fedora Update System 2013-08-31 15:18:47 EDT
Package check-mk-1.2.2p2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing check-mk-1.2.2p2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11394/check-mk-1.2.2p2-1.el6
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-09 20:00:01 EDT
check-mk-1.2.2p2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-09-16 13:43:45 EDT
check-mk-1.2.2p2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.